Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.ssl
Class AbstractKeyStoreConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.net.ssl.StoreConfiguration<KeyStore>
          org.apache.logging.log4j.core.net.ssl.AbstractKeyStoreConfiguration

Direct Known Subclasses:
  KeyStoreConfiguration, TrustStoreConfiguration

    public class AbstractKeyStoreConfiguration

extends StoreConfiguration<KeyStore>

Configuration of the KeyStore

Field Summary

Fields inherited from class org.apache.logging.log4j.core.net.ssl.StoreConfiguration
`LOGGER`

Constructor Summary
`AbstractKeyStoreConfiguration(String location, String password, String keyStoreType)`

Method Summary
`KeyStore` | `getKeyStore()`
`protected KeyStore` | `load()`

Methods inherited from class org.apache.logging.log4j.core.net.ssl.StoreConfiguration
`equals, getLocation, getPassword, getPasswordAsCharArray, hashCode, setLocation, setPassword`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractKeyStoreConfiguration

    public AbstractKeyStoreConfiguration(String location,
                                         String password,
                                         String keyStoreType)
                                  throws StoreConfigurationException

Throws:
  `StoreConfigurationException`

Method Detail

### load

    protected KeyStore load()
                     throws StoreConfigurationException

  Overrides:
    `load` in class `StoreConfiguration<KeyStore>`
  Throws:
    `StoreConfigurationException`

### getKeyStore

    public KeyStore getKeyStore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.